[arch-dev-public] ffmpeg and an x264 upgrade

Paul Mattal paul at mattal.com
Thu Nov 13 15:49:26 EST 2008

Aaron Griffin wrote:
> On Thu, Nov 13, 2008 at 1:25 PM, Jason Chu <jason at archlinux.org> wrote:
>> On Mon, Nov 10, 2008 at 8:36 AM, Aaron Griffin <aaronmgriffin at gmail.com> wrote:
>>> On Sun, Nov 9, 2008 at 8:00 PM, Eric Bélanger
>>> <belanger at astro.umontreal.ca> wrote:
>>>> On Sat, 8 Nov 2008, Aaron Griffin wrote:
>>>>> Hey guys,
>>>>> I wanted to upgrade ffmpeg to the latest snapshot. Two things came up:
>>>>> b) The newest ffmpeg requires the newest x264 which has an soname
>>>>> bump, but avidemux doesn't compile. Anyone here willing to patch that,
>>>>> or should I hold off on the upgrade for now?
>>>> As avidemux's maintainer, I guess I could look into it. Send me the updated
>>>> PKGBUILDs for ffmpeg and x264 (or x86_64 packages if you have them).
>>> I hope avidemux is all of it. I didn't fully try to rebuild everything
>>> because I ran into that one. I will send the PKGBUILDs to the list
>>> later tonight
>> Didn't we do an x264 update a while ago that was long and drawn out?
>> I believe Paul headed it up.
> Yeah, but these packages were orphaned - I assumed Paul didn't want to
> maintain them anymore... Paul, do you? I can give them back if you
> want

You can take them. The x264/ffmpeg combo was mostly trouble for me. I 
mostly had them back from when I had mythtv-- but I don't really use all 
these things anymore.

- P

More information about the arch-dev-public mailing list